#version 330 core
out vec4 Colour;

in vec3 ourColor;
in vec2 TexCoord;

uniform sampler2D texture1;
uniform sampler2D texture2;

void main()
{
  // Colour = texture(texture1, TexCoord) * vec4(ourColor, 1.0f);
  Colour = mix(texture(texture1, TexCoord), texture(texture2, TexCoord), .5);
}
